Name:           maven-pmd-plugin
Version:        3.0.1
Release:        3%{?dist}
Summary:        Maven PMD Plugin

License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-pmd-plugin/
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(net.sf.cglib:cglib)
BuildRequires:  mvn(net.sourceforge.pmd:pmd)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-decoration-model)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.codehaus.plexus:plexus-resources)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
#BuildRequires:  mvn(org.eclipse.aether:aether-api)

Provides:       maven2-plugin-pmd = %{version}-%{release}
Obsoletes:      maven2-plugin-pmd <= 0:2.0.8

%description
A Maven plugin for the PMD toolkit, that produces a report on both code rule 
violations and detected copy and paste fragments, as well as being able to 
fail the build based on these metrics.
  

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q 

# remove unnecessary animal sniffer plugin
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin

# add missing test time deps
#%pom_add_dep org.eclipse.aether:aether-api
%pom_add_dep org.apache.maven:maven-core
%pom_add_dep net.sf.cglib:cglib


%build
# ignore test failures
# all tests fail, so this is probably environmental but I'm not sure what's missing
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Tue Aug 06 2013 Michal Srb <msrb@redhat.com> - 3.0.1-3
- Adapt to current guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 01 2013 Mat Booth <fedora@matbooth.co.uk> - 3.0.1-1
- Update to latest upstream version
- Requires pmd >= 5.0.4-2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.7.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Nov 26 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.7.1-4
- Install license files
- Resolves: rhbz#880273

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 03 2012 Tomas Radej <tradej@redhat.com> - 2.7.1-2
- Modello BR

* Fri Feb 24 2012 Tomas Radej <tradej@redhat.com> 2.7.1-1
- Update to latest upstream.

* Tue Feb 14 2012 Alexander Kurtakov <akurtako@redhat.com> 2.7-1
- Update to latest upstream.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 18 2011 Alexander Kurtakov <akurtako@redhat.com> 2.6-1
- Update to latest upstream.

* Wed Jul 6 2011 Alexander Kurtakov <akurtako@redhat.com> 2.5-5
- Adapt to current guidelines.

* Thu Jun 30 2011 Felix Kaechele <heffer@fedoraproject.org> - 2.5-4
- added patch to fix pmd artifactId in pom.xml

* Tue Apr 26 2011 Alexander Kurtakov <akurtako@redhat.com> 2.5-3
- Update to current guidelines.
- Use upstream source.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.5-1
- Initial package.
